
QGIS Application - Bug report #12252

SAGA not found in 2.8.0, but found in 2.6.1

2015-02-24 06:33 AM - Irucka Embry

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.8.0 Regression?: No

Operating System: GNU/Linux Trisquel/Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20437

Description

I installed version 2.8.0 from http://qgis.org/debian on Sunday, 22 February 2015. I opened up the SEXTANTE Processing Toolbox and I

did not see SAGA. I saw a bug report stating that SAGA could not be found although I had been using version 2.6.1 from 

http://qgis.org/debian with SAGA located. The SAGA files and location had not been changed prior to installing version 2.8.0.

Thank you.

History

#1 - 2015-02-24 01:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

Cannot confirm. I'm on Ubuntu 14.04, with the Ubuntugis repo, and both QGIS 2.8 and SAGA installed from it. It all works as expected.

What SAGA version do you have installed?

#2 - 2015-02-26 03:30 PM - Pedro Venâncio

You must get a SAGA version >= 2.1.2:

 supportedVersions = {

"2.1.2": ("2.1.2", SagaAlgorithm212),

"2.1.3": ("2.1.3", SagaAlgorithm213),

"2.1.4": ("2.1.3", SagaAlgorithm214),

# to allow testing upcoming release

"2.2.0": ("2.1.3", SagaAlgorithm214)

}

#3 - 2015-02-27 09:45 AM - Irucka Embry

Thank you for responding to my bug report. I have an older version of SAGA and I'll have to upgrade it.

#4 - 2015-02-27 10:54 AM - Pedro Venâncio

- Status changed from Feedback to Closed
Hi Irucka,

Yes, upgrade to 2.1.2, 2.1.3 or 2.1.4.

So, I think we can close the ticket. Reopen if necessary.
